Bug 237051 - Skip sys/geom/class/mirror/component_selection:run_latest_genid if gmirror/gnop GEOM classes aren't available
Summary: Skip sys/geom/class/mirror/component_selection:run_latest_genid if gmirror/gn...
Status: In Progress
Alias: None
Product: Base System
Classification: Unclassified
Component: tests (show other bugs)
Version: 12.0-RELEASE
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Cochard
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-05 15:24 UTC by Olivier Cochard
Modified: 2019-08-12 19:33 UTC (History)
4 users (show)

See Also:


Attachments
Patch to skip tests if geom_nop not available (579 bytes, patch)
2019-04-05 15:24 UTC, Olivier Cochard
no flags Details | Diff
patch to tests for g_mirror and g_nop availability (731 bytes, patch)
2019-04-05 16:04 UTC, Olivier Cochard
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Cochard freebsd_committer 2019-04-05 15:24:30 UTC
Created attachment 203412 [details]
Patch to skip tests if geom_nop not available

This test script is using geom_nop, so reuse the same function (load_gnop) as in geom/class/nop/nop_test to skip this test if geom_nop is not available.
Comment 1 Alan Somers freebsd_committer 2019-04-05 15:35:56 UTC
Comment on attachment 203412 [details]
Patch to skip tests if geom_nop not available

The patch looks good to me.  But shouldn't that test also be loading the gmirror module?
Comment 2 Olivier Cochard freebsd_committer 2019-04-05 16:04:38 UTC
Created attachment 203413 [details]
patch to tests for g_mirror and g_nop availability

Yes, good idea!
Comment 3 Olivier Cochard freebsd_committer 2019-04-15 14:22:08 UTC
Hi, does the updated patch please you?
Comment 4 Enji Cooper freebsd_committer 2019-04-15 19:56:16 UTC
(In reply to Olivier Cochard from comment #3)

LGTM!

Also, please feel free to use Phabricator next time -- it's better for managing diff review.
Comment 5 Warner Losh freebsd_committer 2019-04-18 15:21:32 UTC
This looks good to me and should be committed.
Comment 6 Olivier Cochard freebsd_committer 2019-04-18 15:59:17 UTC
Following emaste's comment on IRC, I've re-organized function in alphabetical order.
And here is the review on phabricator:
https://reviews.freebsd.org/D19958
Comment 7 commit-hook freebsd_committer 2019-04-23 21:08:28 UTC
A commit references this bug:

Author: olivier
Date: Tue Apr 23 21:07:47 UTC 2019
New revision: 346605
URL: https://svnweb.freebsd.org/changeset/base/346605

Log:
  Skip test component_selection:run_latest_genid if gmirror/gnop GEOM classes
  aren't available

  PR:		237051
  Reviewed by:	asomers, imp, ngie, emaste (IRC)
  Approved by:	ngie
  MFC after:	 1 month
  Sponsored by:	Netflix
  Differential Revision:	https://reviews.freebsd.org/D19958

Changes:
  head/tests/sys/geom/class/mirror/component_selection.sh
Comment 8 Ed Maste freebsd_committer 2019-08-12 19:33:00 UTC
Waiting on MFC